#
# spec file for package perl-Image-Size (Version 3.2)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-Image-Size
Summary:        A Perl Module to deal with Dimensions of an Image in Several Popular Formats
Version:        3.220
Release:        1.2
License:        LGPL 2.1 or Artistic License
Url:            http://search.cpan.org/perldoc?Image::Size
Group:          Development/Libraries/Perl
AutoReqProv:    on
BuildRequires:  perl(Test::Pod::Coverage)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl-Compress-Zlib
Recommends:     perl-Compress-Zlib
Requires:       perl = %{perl_version}
Source:         Image-Size-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Image::Size library is based upon the "wwwis" script written by
Alex Knowles *(alex@ed.ac.uk)*, a tool to examine HTML and add 'width'
and height' parameters to image tags. The sizes are cached internally
based on the file name, so multiple calls on the same file name (images
used in bulleted lists, for example) do not result in repeated
computations.



Authors:
--------
    Randy J. Ray <rjray@blackperl.com>
    Alex Knowles <alex@ed.ac.uk>
    Andrew Tong <werdna@ugcs.caltech.edu>
    and others

%prep
%setup -n Image-Size-%{version} -q

%build
perl Makefile.PL 
make %{?jobs:-j%jobs}

%check
export TEST_SIGNATURE=1
make test

%install
%perl_make_install
%perl_process_packlist
install -Dm755 imgsize %{buildroot}/%{_bindir}/imgsize
mv ex examples

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc %{_mandir}/man?/*
%doc README ChangeLog examples
%{_bindir}/imgsize
%dir %{perl_vendorlib}/Image
%dir %{perl_vendorlib}/auto/Image
%dir %{perl_vendorarch}/auto/Image
%{perl_vendorlib}/Image/Size.pm
%{perl_vendorlib}/auto/Image/Size
%{perl_vendorarch}/auto/Image/Size
/var/adm/perl-modules/%{name}

%changelog
* Wed Jan 13 2010 anicka@suse.cz
- update to 3.220
  * lib/Image/Size.pm Small fix to the regex for detecting GIFs,
  per Slaven Rezic.
  * lib/Image/Size.pm Moved around some conditionally-needed libs to
  delay loading    until/unless needed. Also made a small fix
  per Perl::Critic.
* Mon Jul  6 2009 lrupp@suse.de
- update to 3.2
  * Compress::Zlib is optional now
  * Per RT ticket #43452, make the cache visible outside the
    lexical scope of the module This allows the hash to be used
    with packages like IPC::Shareable or IPC::MM to enable sharing
    the cache between processes. Added extra documentation of this,
    and a new section describing approaches to cache-sharing.
  * new build/dist process
- add perl(Test::Pod::Coverage) and perl(Test::Pod) to BuildReq
- fix license
* Mon Mar  3 2008 kssingvo@suse.de
- upgrade to version 3.1.1
  * Updated the license information to make sure all references are
    to both the Artistic 2.0 and the LGPL.
  * Changed "use 5.6.0" lines to no longer use v-strings, for
    forward compatibility with Perl 5.10.0.
  * Added "recommends" specification to Build.PL to refer to
    modules used in the testing phase (there is no
    "build_recommends" setting).
  * Added Compress::Zlib to the list of required modules in
    Makefile.PL and Build.PL.
  * Added "use warnings" to Size.pm to make sure it stays
    warnings-clean.
  * Small change from n@shaplov.ru for a bug in CWS handling that
    only surfaced when two CWS files were sized consecutively.
  * Updated the date on the copyright notice and added a
    "COPYRIGHT" section to the documentation.
  * Changed the licensing terms. This is now dual-licensed under
    Artistic 2.0 and LGPL 2.1.
  * Restored the old Makefile.PL for users who don't have
    Module::Build.
* Thu Sep 14 2006 kssingvo@suse.de
- upgrade to version 3.01. New features:
- Added ex/ directory with a few samples.
- Dropped ExtUtils::MakeMaker and switched to Module::Build.
  Makefile.PL is now a wrapper of sorts around Build.PL. This allows
  adding licensing information to META.yml for CPAN indexing.
- adapted the specfile
* Thu Jun 22 2006 kssingvo@suse.de
- upgrade to version 3.0. New features:
- delay of Image::Magick loading until it is needed
- additional installation tests
- FlashMX (Shockwave Flash Ver. 6) support
- image size of gif is now controlled by additional flag
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Mon Jul 28 2003 ro@suse.de
- install to vendor location
* Tue Jul 22 2003 kssingvo@suse.de
- updated to version 2.992
* Mon Jun 16 2003 kssingvo@suse.de
- added missing directories
* Sun May 25 2003 ro@suse.de
- remove unpackaged files from buildroot
* Mon Feb  3 2003 kssingvo@suse.de
- initial package version 2.991
